UTMPDUMP(1)

NAZWA
utmpdump - zrzuca pliki UTMP i WTMP w formacie surowym

SKŁADNIA

utmpdump [opcje] nazwa-pliku

OPIS

utmpdump jest prostym programem do zrzucania plików UTMP i WTMP w surowym formacie, dzięki czemu można je przeanalizować. utmpdump czyta ze standardowego wejścia, chyba że podano nazwę-pliku.

OPCJE

-f, --follow
    Wypisuje kolejne dane, w miarę przyrostu pliku.

-o, --output plik
    Zapisuje wyjście polecenia do pliku, zamiast na standardowe wyjście.

-r, --reverse
    Odwraca zrzut - zapisuje zmodyfikowane informacje o logowaniu z powrotem do plików utmp lub wtmp.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

UWAGI

utmpdump może być przydatny, gdy wystąpią uszkodzone wpisy utmp lub wtmp. Może zrzucić utmp/wtmp do pliku ASCII, który można następnie zmodyfikować usuwając nieprawidłowe wpisy i zapisać zmiany z powrotem za pomocą:

    utmpdump -r < plik_ascii > wtmp

Należy mieć jednak świadomość, że utmpdump powstał tylko z myślą o debugowaniu.

  Formaty plików

Zestandaryzowana jest jedynie binarna wersja utmp*(5). Zrzuty tekstowe mogą stać się w przyszłości niekompatybilne.

Wersja 2.28 była ostatnią, która wypisywała wyjście tekstowe za pomocą formatu znacznika czasu ctime(3). Nowsze zrzuty korzystają ze znaczników czasu formatu ISO-8601 z milisekundową precyzją, w strefie czasowej UTC-0. Można dokonać konwersji z poprzedniego formatu znacznika czasu do formatu binarnego, jednak może to poskutkować przesunięciem czasu o różnicę wynikającą ze stref czasowych.

USTERKI

Nie należy korzystać z opcji -r, ponieważ format plików utmp/wtmp silnie zależy od formatu wejściowego. Niniejsze narzędzie nie zostało napisane do zwykłego użytkowania, lecz jedynie do debugowania.

AUTORZY

Michael Krapp

ZOBACZ TAKŻE

last(1), w(1), who(1), utmp(5)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie utmpdump jest częścią pakietu util-linux, który można pobrać ze strony